Get charge
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Transaction ID.
clientReference?string
External reference provided when creating the charge.
endToEndId?string
Pix end-to-end ID.
virtualAccount?string
Subconta virtual (até 50 caracteres) usada na criação. Aceito como chave de busca alternativa.
Length
length <= 50Header Parameters
Content-Type*string
Obrigatório em toda chamada Saq.
Default
"application/json"Value in
"application/json"Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.saq.processamento.com/v1/pix?id=SAQ20250817215911F49RDOBJ" \ -H "Content-Type: application/json"{
"id": "SAQ20250817215911F49RDOBJ",
"status": "PENDING",
"amount": 10,
"type": "DEPOSIT",
"callbackUrl": "https://webhook.cool/",
"qrCodeText": "00020126870014br.gov.bcb.pix2565qrcode.saq.com.br/dynamic/d7790b91-3979-4ad5-9d96-ee941e5a42765204000053039865802BR5908SAQPLUS6009SAO PAULO62070503***63047EE4",
"qrCodeBase64": "iVBORw0KGgoAAAANSUhEUgAAAZAAAAGQCAYAAAC...",
"qrCodeUrl": "https://pix.saq.com.br/v1/pix/qr-code/SAQ20250817215911F49RDOBJ",
"generatedName": "John Doe",
"generatedDocument": "12345678901",
"generatedEmail": "john.doe@example.com",
"serviceFeeCharged": 0.115,
"payerName": null,
"payerDocument": null,
"payerInstitutionIspb": null,
"payerInstitutionName": null,
"payerAccountNumber": null,
"receiverName": null,
"receiverDocument": null,
"receiverInstitutionIspb": null,
"receiverInstitutionName": null,
"receiverAccountNumber": "513579",
"endToEndId": null,
"createdAt": "2025-08-17T21:59:11.579Z",
"updatedAt": "2025-08-17T21:59:11.579Z",
"paidAt": null,
"withdrawPixKey": null,
"withdrawPixType": null,
"clientReference": "order_12345",
"refundEndToEndId": null,
"refundAmount": null,
"refundStatus": null,
"refundReason": null,
"refundDescription": null,
"refundedAt": null,
"cancellationReason": null
}{
"statusCode": 400,
"error": "Bad Request",
"message": "querystring/dateFrom Invalid input: expected string, received undefined",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing or invalid Bearer token",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}